Index: /CONFIG/trunk/IPSLCM4_v2/EXP00/COMP/oasis.driver
===================================================================
--- /CONFIG/trunk/IPSLCM4_v2/EXP00/COMP/oasis.driver	(revision 161)
+++ /CONFIG/trunk/IPSLCM4_v2/EXP00/COMP/oasis.driver	(revision 162)
@@ -1,4 +1,3 @@
 #!/bin/ksh
-
 #-----------------------------------
 CPL_Initialize ()
@@ -9,12 +8,9 @@
     echo INITIALIZE CPL !!!
 
-    #D- Default number of processor for lmdz and oasis
-    NUM_PROC_ATM=1 ; (( NUM_PROC_OASIS = NUM_PROC_ATM + 2 ))
-    #D- Number of processors used for lmdz and oasis coupler computed from PBS variable
-    [ -z "${PBS_NUM_PROC_TOT}" ] || { (( NUM_PROC_ATM = PBS_NUM_PROC_TOT - 1 )) ; (( NUM_PROC_OASIS = PBS_NUM_PROC_TOT + 1 )) ; }
+#D- MPI context used to launch the coupled model
+LIBMPI=$(cat ${SUBMIT_DIR}/../.libmpi)
+echo LIBMPI=${LIBMPI}
 
-    echo PBS_NUM_PROC_TOT=${PBS_NUM_PROC_TOT}
-    echo NUM_PROC_ATM=${NUM_PROC_ATM}
-    echo NUM_PROC_OASIS=${NUM_PROC_OASIS}
+    IGCM_sys_build_run_file ${LIBMPI}
 
     IGCM_debug_PopStack "CPL_Initialize"
@@ -28,14 +24,15 @@
     IGCM_debug_PushStack "CPL_Update"
 
-    ############ Update Time and Counters ##############
-    ##-- Calcul de la duree du job (en secondes)
-    (( D_JOB_SEC = 3600 * 24 * PeriodLengthInDays ))
+############ Update Time and Counters ##############
+##-- Calcul de la duree du job (en secondes)
+(( D_JOB_SEC = 3600 * 24 * PeriodLengthInDays ))
 
-    ############ Update Other Parameters  ##############
+############ Update Other Parameters  ##############
 
-    ############ Update Parameter Files   ##############
-    sed -e "s/<initial_date>/${PeriodDateBegin}/" \
-	-e "s/<total_time>/${D_JOB_SEC}/" \
-	-e "s/<nproc_atm>/${NUM_PROC_ATM}/g" \
+############ Update Parameter Files   ##############
+sed -e "s/<initial_date>/${PeriodDateBegin}/" \
+    -e "s/<total_time>/${D_JOB_SEC}/" \
+    -e "s/<lib_mpi>/${LIBMPI}/" \
+    -e "s/<nproc_atm>/${NUM_PROC_ATM}/g" \
 	namcouple > namcouple.tmp
 
@@ -48,5 +45,4 @@
 
     IGCM_debug_PopStack "CPL_Update"
-
 }
 
Index: /CONFIG/trunk/IPSLCM4_v2/EXP00/PARAM/namcouple_ORCA2xLMD144142
===================================================================
--- /CONFIG/trunk/IPSLCM4_v2/EXP00/PARAM/namcouple_ORCA2xLMD144142	(revision 161)
+++ /CONFIG/trunk/IPSLCM4_v2/EXP00/PARAM/namcouple_ORCA2xLMD144142	(revision 162)
@@ -29,5 +29,5 @@
 #
  $CHANNEL
-           MPI2
+           <lib_mpi>
 <nproc_atm>  <nproc_atm>
 1  1               
Index: /CONFIG/trunk/IPSLCM4_v2/EXP00/PARAM/namcouple_ORCA2xLMD14496
===================================================================
--- /CONFIG/trunk/IPSLCM4_v2/EXP00/PARAM/namcouple_ORCA2xLMD14496	(revision 161)
+++ /CONFIG/trunk/IPSLCM4_v2/EXP00/PARAM/namcouple_ORCA2xLMD14496	(revision 162)
@@ -29,5 +29,5 @@
 #
  $CHANNEL
-           MPI2
+           <lib_mpi>
 <nproc_atm>  <nproc_atm>
 1  1               
Index: /CONFIG/trunk/IPSLCM4_v2/EXP00/PARAM/namcouple_ORCA2xLMD7245
===================================================================
--- /CONFIG/trunk/IPSLCM4_v2/EXP00/PARAM/namcouple_ORCA2xLMD7245	(revision 161)
+++ /CONFIG/trunk/IPSLCM4_v2/EXP00/PARAM/namcouple_ORCA2xLMD7245	(revision 162)
@@ -29,5 +29,5 @@
 #
  $CHANNEL
-           MPI2
+           <lib_mpi>
 <nproc_atm>  <nproc_atm>
 1  1               
Index: /CONFIG/trunk/IPSLCM4_v2/EXP00/PARAM/namcouple_ORCA2xLMD9671
===================================================================
--- /CONFIG/trunk/IPSLCM4_v2/EXP00/PARAM/namcouple_ORCA2xLMD9671	(revision 161)
+++ /CONFIG/trunk/IPSLCM4_v2/EXP00/PARAM/namcouple_ORCA2xLMD9671	(revision 162)
@@ -29,5 +29,5 @@
 #
  $CHANNEL
-           MPI2
+           <lib_mpi>
 <nproc_atm>  <nproc_atm>
 1  1               
Index: /CONFIG/trunk/IPSLCM4_v2/EXP00/PARAM/namcouple_ORCA4xLMD7245
===================================================================
--- /CONFIG/trunk/IPSLCM4_v2/EXP00/PARAM/namcouple_ORCA4xLMD7245	(revision 161)
+++ /CONFIG/trunk/IPSLCM4_v2/EXP00/PARAM/namcouple_ORCA4xLMD7245	(revision 162)
@@ -29,5 +29,5 @@
 #
  $CHANNEL
-           MPI2
+           <lib_mpi>
 <nproc_atm>  <nproc_atm>
 1  1               
Index: /CONFIG/trunk/IPSLCM4_v2/EXP00/config.card
===================================================================
--- /CONFIG/trunk/IPSLCM4_v2/EXP00/config.card	(revision 161)
+++ /CONFIG/trunk/IPSLCM4_v2/EXP00/config.card	(revision 162)
@@ -30,5 +30,5 @@
 #============================
 #-- Run Options : here for oasis coupling
-JobRunOptions='"-np 1 -max_np "${NUM_PROC_OASIS}'
+JobRunOptions='-f'
 #============================
 # config.card configuration options :
@@ -52,5 +52,5 @@
 #D-- Executable -
 [Executable]
-Name=oasis
+Name=run_file
 #D- For each component, Real name of executable, Name of executable for oasis
 ATM= (gcm.e, lmdz.x)
Index: /CONFIG/trunk/IPSLCM4_v2/scripts/BB_make
===================================================================
--- /CONFIG/trunk/IPSLCM4_v2/scripts/BB_make	(revision 161)
+++ /CONFIG/trunk/IPSLCM4_v2/scripts/BB_make	(revision 162)
@@ -11,4 +11,6 @@
 #-Q- linux  # Compiler options for the ORCA model
 #-Q- linux  F_O = -Mlist -O2 -byteswapio -r8  -module $(MODDIR)
+#-Q- platine # Compiler options for the ORCA model
+#-Q- platine F_O = -O3 $(F_D) $(F_P) -I$(MODDIR) -I../../../prism/IA64/build/lib/psmile.$(LIB_MPI) -module $(MODDIR)
 PREF=
 #-Q- sxnec	PREF=i.
@@ -236,5 +238,7 @@
 		$(RM) $*.[of]
 #-Q- linux		mv $(PREF)$*.lst $(PREF)$*.L
-		mv $(PREF)$*.L $(TMP)
+#-Q- sxnec		mv $(PREF)$*.L $(TMP)
+#-Q- sx6nec		mv $(PREF)$*.L $(TMP)
+#-Q- sx8brodie		mv $(PREF)$*.L $(TMP)
 
 # rules for the library from the .f files 
@@ -251,6 +255,8 @@
 		$(A_C) $(MODEL_LIB) $*.o
 		$(RM) -f $*.o
-#-Q- linux	mv $(PREF)$*.lst $(PREF)$*.L
-		mv $*.L $(TMP)
+#-Q- linux		mv $(PREF)$*.lst $(PREF)$*.L
+#-Q- sxnec		mv $*.L $(TMP)
+#-Q- sx6nec		mv $*.L $(TMP)
+#-Q- sx8brodie		mv $*.L $(TMP)
 #
 $(MODEL_LIB)(Fioopa.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP Fioopa.F