Index: modipsl/trunk/util/mod.def
===================================================================
--- modipsl/trunk/util/mod.def	(revision 183)
+++ modipsl/trunk/util/mod.def	(revision 185)
@@ -185,14 +185,15 @@
 #-H- LMDZORINCA  LMDZ4 with ORCHIDEE and INCA :
 #-H- LMDZORINCA  Latest validated LMDZ4 version
-#-H- LMDZORINCA  ORCHIDEE tag orchidee_1_9
+#-H- LMDZORINCA  ORCHIDEE tag orchidee_1_9_1
 #-H- LMDZORINCA  INCA tag v3_1_1
+#-H- IPSLCM4_v2  LMDZ4 tag LMDZ4_V3_1
 #-H- LMDZORINCA  IOIPSL/src svn tags/v2_1_1
 #-M- LMDZORINCA  Anne.Cozic@lsce.ipsl.fr
-#-C- LMDZORINCA  IOIPSL/tags/v2_1_1/src    HEAD          8  IOIPSL/src  modeles
-#-C- LMDZORINCA  ORCHIDEE                  orchidee_1_9  2  .           modeles
-#-C- LMDZORINCA  LMDZ4                     ?             3  .           modeles
-#-C- LMDZORINCA  tags/v3_1_1/INCA3         ?             9  .           modeles
-#-C- LMDZORINCA  libIGCM                   ?             1  .           .
-#-C- LMDZORINCA  CONFIG/trunk/LMDZORINCA   ?             8  .           config
+#-C- LMDZORINCA  IOIPSL/tags/v2_1_1/src    HEAD            8  IOIPSL/src  modeles
+#-C- LMDZORINCA  ORCHIDEE                  orchidee_1_9_1  2  .           modeles
+#-C- LMDZORINCA  LMDZ4                     LMDZ4_V3_1      3  .           modeles
+#-C- LMDZORINCA  tags/v3_1_1/INCA3         ?               9  .           modeles
+#-C- LMDZORINCA  libIGCM                   ?               1  .           .
+#-C- LMDZORINCA  CONFIG/trunk/LMDZORINCA   ?               8  .           config
 #-
 #-H- LMDZ4OR_V3_CHILI  LMDZ4 with ORCHIDEE :
@@ -221,13 +222,13 @@
 #-H- LMDZINCA_v2  LMDZ with INCA :
 #-H- LMDZINCA_v2  closest version to the IPSL coupled model IPSLCM4_v2
-#-H- LMDZINCA_v2  LMDZ4 version head
+#-H- LMDZINCA_v2  LMDZ4 Tag LMDZ4_V3_1
 #-H- LMDZINCA_v2  INCA3 reference version
 #-H- LMDZINCA_v2  IOIPSL/src svn tags/v2_1_1
 #-M- LMDZINCA_v2  Anne.Cozic@lsce.ipsl.fr
-#-C- LMDZINCA_v2  IOIPSL/tags/v2_1_1/src    HEAD    8  IOIPSL/src  modeles
-#-C- LMDZINCA_v2  tags/v3_1_1/INCA3         ?       9   .          modeles
-#-C- LMDZINCA_v2  LMDZ4                     ?       3   .          modeles
-#-C- LMDZINCA_v2  libIGCM                   ?       1   .          .
-#-C- LMDZINCA_v2  CONFIG/trunk/LMDZINCA_v2  ?       8  LMDZINCA_v2 config
+#-C- LMDZINCA_v2  IOIPSL/tags/v2_1_1/src    HEAD        8  IOIPSL/src  modeles
+#-C- LMDZINCA_v2  tags/v3_1_1/INCA3         ?           9   .          modeles
+#-C- LMDZINCA_v2  LMDZ4                     LMDZ4_V3_1  3   .          modeles
+#-C- LMDZINCA_v2  libIGCM                   ?           1   .          .
+#-C- LMDZINCA_v2  CONFIG/trunk/LMDZINCA_v2  ?           8  LMDZINCA_v2 config
 #-
 #-H- IPSL_ESM_V1  IPSLCM4_v2 configuration with parallel LMDZ4 and ORCHIDEE
@@ -235,17 +236,17 @@
 #-H- IPSL_ESM_V1  ORCA tag ipsl_cm4_v1_11
 #-H- IPSL_ESM_V1  IOIPSL/src svn tags/v2_1_1
-#-H- IPSL_ESM_V1  LMDZ4 tag HEAD
+#-H- IPSL_ESM_V1  LMDZ4 tag LMDZ4_V3_1
 #-H- IPSL_ESM_V1  INCA3 tag HEAD
-#-H- IPSL_ESM_V1  ORCHIDEE tag ORCHIDEE_1_9
+#-H- IPSL_ESM_V1  ORCHIDEE tag ORCHIDEE_1_9_1
 #-H- IPSL_ESM_V1  OASIS3 tag HEAD
 #-H- IPSL_ESM_V1  IPSLCM4_v2 svn new scripts     
 #-M- IPSL_ESM_V1  anne.cozic@lsce.ipsl.fr
-#-C- IPSL_ESM_V1  IOIPSL/tags/v2_1_1/src HEAD 8 IOIPSL/src modeles
-#-C- IPSL_ESM_V1  ORCHIDEE               orchidee_1_9  2 . modeles
-#-C- IPSL_ESM_V1  OASIS3                 ?              1 prism .
-#-C- IPSL_ESM_V1  LMDZ4                  ?         3 . modeles
-#-C- IPSL_ESM_V1  tags/v3_1_1/INCA3         ?       9   .          modeles
-#-C- IPSL_ESM_V1  CONFIG/trunk/IPSL_ESM_V1  ?      8 IPSL_ESM_V1 config
-#-C- IPSL_ESM_V1  libIGCM                ?              1 . .
+#-C- IPSL_ESM_V1  IOIPSL/tags/v2_1_1/src HEAD           8 IOIPSL/src modeles
+#-C- IPSL_ESM_V1  ORCHIDEE               orchidee_1_9_1 2 .          modeles
+#-C- IPSL_ESM_V1  OASIS3                 ?              1 prism      .
+#-C- IPSL_ESM_V1  LMDZ4                  LMDZ4_V3_1     3 .          modeles
+#-C- IPSL_ESM_V1  tags/v3_1_1/INCA3         ?           9 .          modeles
+#-C- IPSL_ESM_V1  CONFIG/trunk/IPSL_ESM_V1  ?           8 IPSL_ESM_V1 config
+#-C- IPSL_ESM_V1  libIGCM                ?              1 .          .
 #-C- IPSL_ESM_V1  OPA/SRC_ORCA           ipsl_cm4_v1_11 4 . modeles
 #-C- IPSL_ESM_V1  OPA/SRC_UCL            ipsl_cm4_v1_11 4 . modeles