Index: /CONFIG/trunk/IPSLCM4_v2/scripts/BB_make
===================================================================
--- /CONFIG/trunk/IPSLCM4_v2/scripts/BB_make	(revision 227)
+++ /CONFIG/trunk/IPSLCM4_v2/scripts/BB_make	(revision 228)
@@ -11,4 +11,6 @@
 #-Q- sx8brodie  # Compiler options for the ORCA model
 #-Q- sx8brodie  F_O = -dw -Wf\"-A dbl4\" -C vsafe -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I../../../prism/SX/build/lib/psmile.$(LIB_MPI)
+#-Q- eshpux  # Compiler options for the ORCA model
+#-Q- eshpux  F_O = -dw -Wf\"-A dbl4\" -C vsafe -Wf"-P nh" -Wf,-pvctl noassume loopcnt=10000 -L transform -I $(MODDIR) -I../../../prism/ES/build/lib/psmile.$(LIB_MPI)
 #-Q- linux  # Compiler options for the ORCA model
 #-Q- linux  F_O = -Mlist -O2 -byteswapio -r8  -module $(MODDIR)
@@ -20,4 +22,5 @@
 #-Q- sx8mercure	PREF=i.
 #-Q- sx8brodie	PREF=i.
+#-Q- eshpux	PREF=i.
 
 KEY_LISTE=key_antarctic key_arctic key_bimg key_bulk key_convevd key_convnpc key_coupled key_coupled_ipslcm4 key_coupled_prism key_ddmixing key_debug key_diaeiv key_diagap key_diahdy key_diahth key_diainstant key_diaspr key_diatrddyn key_diatrdmld key_diatrdtra key_diaznl key_diaznl_brokenline key_dynhdfbilap key_dynhdfcoef1d key_dynhdfcoef2d key_dynhdfcoef3d key_dynhdfgeop key_dynhdfiso key_eastobc key_eel2 key_eel6 key_fdir key_feti key_flx key_flx_clio key_flx_lmd key_flxqsr key_freesurf_cstvol key_hpgimplicit key_ice key_ice_igloo key_ice_lln key_icedta key_islands key_lim_age key_lim_cp1 key_lim_cp2 key_lim_cp3 key_lim_fdd key_monotasking key_mpp key_mpp_mpi key_mpp_pvm key_mpp_shmem key_northobc key_noslip_accurate key_openmp key_orca_r025 key_orca_r05 key_orca_r2 key_orca_r4 key_passivetrc key_s_coord key_saldta key_saldta_monthly key_southobc key_sst key_tau key_tau_clio key_tau_ers_ncep key_tau_lmd key_temdta key_tradmp key_trahdfbilap key_trahdfcoef1d key_trahdfcoef2d key_trahdfcoef3d key_trahdfeiv key_trahdfgeop key_trahdfiso key_trddyn_new key_vairmer key_vorcombined key_vorenergy key_vpp key_westobc key_zdfconstant key_zdfexplicit key_zdfrichardson key_zdftke 
@@ -218,4 +221,5 @@
 #-Q- sx6nec .PRECIOUS : $(SXMODEL_LIB)
 #-Q- sx8brodie .PRECIOUS : $(SXMODEL_LIB)
+#-Q- eshpux .PRECIOUS : $(SXMODEL_LIB)
 
 # library dependancies
@@ -235,8 +239,10 @@
 #-Q- sx8mercure		-R2 \
 #-Q- sx8brodie		-R2 \
+#-Q- eshpux		-R2 \
 		$*.F || { mv $(PREF)$*.L $(TMP) ; false ; exit ; }
 #-Q- sxnec		$(A_X) $(SXMODEL_LIB) $*.o
 #-Q- sx6nec		$(A_X) $(SXMODEL_LIB) $*.o
 #-Q- sx8brodie		$(A_X) $(SXMODEL_LIB) $*.o
+#-Q- eshpux		$(A_X) $(SXMODEL_LIB) $*.o
 		$(A_C) $(MODEL_LIB) $*.o
 		$(RM) $*.[of]
@@ -246,4 +252,5 @@
 #-Q- sx8mercure		mv $(PREF)$*.L $(TMP)
 #-Q- sx8brodie		mv $(PREF)$*.L $(TMP)
+#-Q- eshpux		mv $(PREF)$*.L $(TMP)
 
 # rules for the library from the .f files 
@@ -255,8 +262,10 @@
 #-Q- sx8mercure		-R2 \
 #-Q- sx8brodie		-R2 \
+#-Q- eshpux		-R2 \
 		$*.f|| { mv $*.L $(TMP) ; false ; exit ; }
 #-Q- sxnec		$(A_X) $(SXMODEL_LIB) $*.o
 #-Q- sx6nec		$(A_X) $(SXMODEL_LIB) $*.o
 #-Q- sx8brodie		$(A_X) $(SXMODEL_LIB) $*.o
+#-Q- eshpux		$(A_X) $(SXMODEL_LIB) $*.o
 		$(A_C) $(MODEL_LIB) $*.o
 		$(RM) -f $*.o
@@ -266,4 +275,5 @@
 #-Q- sx8mercure		mv $*.L $(TMP)
 #-Q- sx8brodie		mv $*.L $(TMP)
+#-Q- eshpux		mv $*.L $(TMP)
 #
 $(MODEL_LIB)(Fioopa.o) :	common.coupled.h common.h common.ice.h common.obc.h common.passivetrc.h parameter.coupled.h parameter.h parameter.ice.h parameter.obc.h parameter.passivetrc.h stafun.h KEY_CPP Fioopa.F
Index: /CONFIG/trunk/IPSLCM4_v2/scripts/BB_make.ldef
===================================================================
--- /CONFIG/trunk/IPSLCM4_v2/scripts/BB_make.ldef	(revision 227)
+++ /CONFIG/trunk/IPSLCM4_v2/scripts/BB_make.ldef	(revision 228)
@@ -11,8 +11,10 @@
 MODEL_LIB = $(LIBDIR)/libopa.a
 IOIPSL_LIB = $(LIBDIR)/libioipsl.a
+#-Q- eshpux  IOIPSL_LIB = $(LIBDIR)/libsxioipsl.a
 SXMODEL_LIB = $(MODEL_LIB)
 #-Q- sxnec  SXMODEL_LIB = $(LIBDIR)/libsxopa.a
 #-Q- sx6nec  SXMODEL_LIB = $(LIBDIR)/libsxopa.a
 #-Q- sx8brodie  SXMODEL_LIB = $(LIBDIR)/libsxopa.a
+#-Q- eshpux  SXMODEL_LIB = $(LIBDIR)/libsxopa.a
 OASISMPI2_LIB = 
 LIBMPI  =