Index: /CONFIG/trunk/LMDZ4OR_v2/CREATE/COMP/lmdz.card
===================================================================
--- /CONFIG/trunk/LMDZ4OR_v2/CREATE/COMP/lmdz.card	(revision 331)
+++ /CONFIG/trunk/LMDZ4OR_v2/CREATE/COMP/lmdz.card	(revision 332)
@@ -18,5 +18,5 @@
 
 [BoundaryFiles]
-List=   () 
+List= () 
 ListNonDel= ()
 
@@ -28,12 +28,13 @@
 
 [RestartFiles]
-List=	(start.nc, start.nc, start.nc), \
-	(startphy.nc, startphy.nc,  startphy.nc), \
-	(limit.nc, limit.nc,  limit.nc)
-
+List= (NONE)
+	
 [OutputText]
-List=   ()
+List= ()
 
 [OutputFiles]
-List=	()
+List=	( limit.nc,     ${R_OUT_ATM_O}/Boundary/${config_UserChoices_JobName}_clim_limit.nc,   NONE), \
+	( start.nc,     ${R_OUT_ATM_O}/Restart/${config_UserChoices_JobName}_clim_start.nc,    NONE), \
+	( startphy.nc,  ${R_OUT_ATM_O}/Restart/${config_UserChoices_JobName}_clim_startphy.nc, NONE)
 
+
Index: /CONFIG/trunk/LMDZ4OR_v2/CREATE/COMP/lmdz.card_AMIP
===================================================================
--- /CONFIG/trunk/LMDZ4OR_v2/CREATE/COMP/lmdz.card_AMIP	(revision 331)
+++ /CONFIG/trunk/LMDZ4OR_v2/CREATE/COMP/lmdz.card_AMIP	(revision 332)
@@ -7,9 +7,10 @@
 
 [InitialStateFiles]
-List=	()
+List= ()
 
 [BoundaryFiles]
 List=   (${R_INIT}/ATM/${config_UserChoices_TagName}/Amip6/amipbc_sst_360x180_${year}.nc, amipbc_sst_1x1.nc), \
 	(${R_INIT}/ATM/${config_UserChoices_TagName}/Amip6/amipbc_sic_360x180_${year}.nc, amipbc_sic_1x1.nc)
+
 ListNonDel= (${R_INIT}/ATM/${config_UserChoices_TagName}/Albedo.nc, .), \
 	(${R_INIT}/ATM/${config_UserChoices_TagName}/ECDYN.nc, .), \
@@ -26,12 +27,12 @@
 
 [RestartFiles]
-List=	(start.nc, start.nc, start.nc), \
-	(startphy.nc, startphy.nc,  startphy.nc), \
-	(limit.nc, limit.nc,  limit.nc)
+List= (NONE)
 
 [OutputText]
-List=   (ftrace.out.1.0)
+List= ()
 
 [OutputFiles]
-List=	()
+List=	( limit.nc,     ${R_OUT_ATM_O}/Boundary/${config_UserChoices_JobName}_${year}_limit.nc,   NONE), \
+	( start.nc,     ${R_OUT_ATM_O}/Restart/${config_UserChoices_JobName}_${year}_start.nc,    NONE), \
+	( startphy.nc,  ${R_OUT_ATM_O}/Restart/${config_UserChoices_JobName}_${year}_startphy.nc, NONE)
 
Index: /CONFIG/trunk/LMDZ4OR_v2/CREATE/COMP/lmdz.driver
===================================================================
--- /CONFIG/trunk/LMDZ4OR_v2/CREATE/COMP/lmdz.driver	(revision 331)
+++ /CONFIG/trunk/LMDZ4OR_v2/CREATE/COMP/lmdz.driver	(revision 332)
@@ -1,7 +1,3 @@
 #!/bin/ksh
-
-# MPI Variables
-ATM_PARA=0
-
 #-----------------------------------------------------------------
 function ATM_Initialize
@@ -10,39 +6,4 @@
 
     RESOL_ATM=${RESOL}
-
-    ##--Frequency purpose ....
-    ##--  Initialisation  ....
-    OK_instan=n
-    ##-- 
-    OK_journe=n
-    OK_mensuel=n
-
-    case ${config_UserChoices_PeriodLength} in
-	1Y|1y|1M|1m) OK_mensuel=y ;;
-	5D|5d|1D|1d) OK_journe=y ;;
-    esac
-
-    for frequency in ${config_ATM_WriteFrequency} ; do
-	case ${frequency} in
-	    5D|5d|1D|1d) OK_journe=y ;;
-	esac
-    done
-
-    ##--Variables used by LMDZ --
-    PAT_INST=$(     grep 'OK_instan'   ${SUBMIT_DIR}/PARAM/physiq.def )
-    PAT_JOUR=$(     grep 'OK_journe'   ${SUBMIT_DIR}/PARAM/physiq.def )
-    PAT_MOIS=$(     grep 'OK_mensuel'  ${SUBMIT_DIR}/PARAM/physiq.def )
-
-    PAT_iphysiq=$(  grep 'iphysiq'     ${SUBMIT_DIR}/PARAM/gcm.def_${RESOL} )
-    PAT_iperiod=$(  grep 'iperiod'     ${SUBMIT_DIR}/PARAM/gcm.def_${RESOL} | tail -1)
-    PAT_day_step=$( grep 'day_step'    ${SUBMIT_DIR}/PARAM/gcm.def_${RESOL} )
-    PAT_ecritphy=$( grep 'ecritphy'    ${SUBMIT_DIR}/PARAM/gcm.def_${RESOL} )
-
-    ##-- This could be define in lmdz.card, inside section [UserChoices]
-    ##-- Otherwise we get the value in *.def
-    iperiod=$(grep iperiod ${SUBMIT_DIR}/PARAM/gcm.def_${RESOL} | awk -F= '{print $2}' | tail -1)
-    iphysiq=$(grep iphysiq ${SUBMIT_DIR}/PARAM/gcm.def_${RESOL} | awk -F= '{print $2}')
-    # day_step : number of steps per day (multiple of iperiod)
-    (( day_step = 48 * iphysiq ))
 
     IGCM_debug_PopStack "ATM_Initialize"
@@ -54,6 +15,4 @@
     IGCM_debug_PushStack "ATM_Update"
 
-    ecritphy=${PeriodLengthInDays}
-
     ##-- Remise ou non a zero de la date initiale de LMDZ pour le fichier run.def
     if [ ${CumulPeriod} -eq 1 ] ; then
@@ -62,19 +21,4 @@
 	RAZ_DATE=0
     fi
-
-    ## Mise en forme du fichier physiq.def
-    sed -e "s/OK_instan=.*/OK_instan=${OK_instan}/"   \
-	-e "s/OK_journe=.*/OK_journe=${OK_journe}/"   \
-	-e "s/OK_mensuel=.*/OK_mensuel=${OK_mensuel}/" \
-	physiq.def > physiq.def.tmp
-    IGCM_sys_Mv physiq.def.tmp physiq.def
-
-    ## Mise en forme du fichier gcm.def
-    sed  -e "s/${PAT_ecritphy}/ecritphy=${ecritphy}/" \
-	-e "s/${PAT_day_step}/day_step=${day_step}/" \
-	-e "s/${PAT_iperiod}/iperiod=${iperiod}/" \
-	-e "s/${PAT_iphysiq}/iphysiq=${iphysiq}/" \
-	gcm.def > gcm.def.tmp
-    IGCM_sys_Mv gcm.def.tmp gcm.def
 
     ## Mise en forme du fichier run.def
Index: /CONFIG/trunk/LMDZ4OR_v2/CREATE/config.card
===================================================================
--- /CONFIG/trunk/LMDZ4OR_v2/CREATE/config.card	(revision 331)
+++ /CONFIG/trunk/LMDZ4OR_v2/CREATE/config.card	(revision 332)
@@ -10,6 +10,6 @@
 #============================
 #D-- (<8 chars MAX for JobName)
-JobName=ETAT0
-LongName="Call for create_etat0_limit for climatologic run."
+JobName= ELC-${RESOL}
+LongName="create_etat0_limit for climatology run'
 TagName=LMDZ4OR_v2
 #============================
@@ -28,5 +28,5 @@
 [ListOfComponents]
 #D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ4_V3_1)
+ATM= (lmdz, LMDZ4_V3_4)
 
 #========================================================================
@@ -44,7 +44,7 @@
 #D- Last day of the experience used as restart
 RestartDate=
-#D- Define restart simulation name (=> JOB_OS)
+#D- Define restart simulation name
 RestartJobName=
-#D- Path Server Group Login (=> PSGL)
+#D- Path Server Group Login
 RestartPath=
 # Attention login depend de la machine
@@ -70,5 +70,4 @@
 [Post]
 RebuildFrequency=
-MonitoringFrequency=
 TimeSeriesFrequency=
 SeasonalFrequency=
Index: /CONFIG/trunk/LMDZ4OR_v2/CREATE/config.card_AMIP
===================================================================
--- /CONFIG/trunk/LMDZ4OR_v2/CREATE/config.card_AMIP	(revision 331)
+++ /CONFIG/trunk/LMDZ4OR_v2/CREATE/config.card_AMIP	(revision 332)
@@ -1,2 +1,3 @@
+# $Id$
 #========================================================================
 #D-- Compatibility -
@@ -9,6 +10,6 @@
 #============================
 #D-- (<8 chars MAX for JobName)
-JobName=AMIP_EL
-LongName='Call for create_etat0_limit for AMIP run.'
+JobName=ELI-${RESOL}
+LongName='create_etat0_limit for interannuel run'
 TagName=LMDZ4OR_v2
 #============================
@@ -29,5 +30,5 @@
 [ListOfComponents]
 #D- For each component, Name of component, Tag of component
-ATM= (lmdz, LMDZ4_V3_1)
+ATM= (lmdz, LMDZ4_V3_4)
 
 #========================================================================
@@ -45,7 +46,7 @@
 #D- Last day of the experience used as restart
 RestartDate=
-#D- Define restart simulation name (=> JOB_OS)
+#D- Define restart simulation name
 RestartJobName=
-#D- Path Server Group Login (=> PSGL)
+#D- Path Server Group Login
 RestartPath=
 # Attention login depend de la machine
@@ -71,5 +72,4 @@
 [Post]
 RebuildFrequency=
-MonitoringFrequency=
 TimeSeriesFrequency=
 SeasonalFrequency=