Index: /CONFIG/trunk/IPSLCM4_v2/EXP00/COMP/lim.card
===================================================================
--- /CONFIG/trunk/IPSLCM4_v2/EXP00/COMP/lim.card	(revision 354)
+++ /CONFIG/trunk/IPSLCM4_v2/EXP00/COMP/lim.card	(revision 355)
@@ -31,4 +31,3 @@
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
-MonitoringVars = (iicethic, ileadfra, isnowthi)
 TimeSeriesVars = (iicethic, ileadfra, isnowthi, iicevelu, iicevelv)
Index: /CONFIG/trunk/IPSLCM4_v2/EXP00/COMP/lmdz.card
===================================================================
--- /CONFIG/trunk/IPSLCM4_v2/EXP00/COMP/lmdz.card	(revision 354)
+++ /CONFIG/trunk/IPSLCM4_v2/EXP00/COMP/lmdz.card	(revision 355)
@@ -3,6 +3,7 @@
 
 [UserChoices]
-ByPass_hgardfou = n
-LMDZ_adjust = n
+ByPass_hgardfou_teta= n
+ByPass_hgardfou_mats= n
+LMDZ_adjust= n
 
 [InitialStateFiles]
@@ -72,5 +73,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, presnivs, time_counter)
-TimeSeriesVars= (t1000, t925, t850, t700, t600, t500, t400, t300, t250, t200, t150, t100, t70, t50, t30, t20, t10, u1000, u925, u850, u700, u600, u500, u400, u300, u250, u200, u150, u100, u70, u50, u30, u20, u10, v1000, v925, v850, v700, v600, v500, v400, v300, v250, v200, v150, v100, v70, v50, v30, v20, v10, phi1000, phi925, phi850, phi700, phi600, phi500, phi400, phi300, phi250, phi200, phi150, phi100, phi70, phi50, phi30, phi20, phi10, rh1000, rh925, rh850, rh700, rh600, rh500, rh400, rh300, rh250, rh200, rh150, rh100, rh70, rh50, rh30, rh20, rh10, q1000, q925, q850, q700, q600, q500, q400, q300, q250, q200, q150, q100, q70, q50, q30, q20, q10)
+TimeSeriesVars= (temp, phi, q, u, v, rh)
 
 [Post_1M_dynzon]
Index: /CONFIG/trunk/IPSLCM4_v2/EXP00/COMP/lmdz.driver
===================================================================
--- /CONFIG/trunk/IPSLCM4_v2/EXP00/COMP/lmdz.driver	(revision 354)
+++ /CONFIG/trunk/IPSLCM4_v2/EXP00/COMP/lmdz.driver	(revision 355)
@@ -102,16 +102,30 @@
     IGCM_sys_Mv run.def.tmp run.def
 
-    ## Read ByPass_hgardfou option in ${compname}.card --> divide teta* by 2 if [ $ByPass_hgardfou = 1 ]
-    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices ByPass_hgardfou
-    eval ByPass_hgardfou=\${${compname}_UserChoices_ByPass_hgardfou} > /dev/null 2>&1
-    if [ ${ByPass_hgardfou} = y ] ; then
+    ## Read ByPass_hgardfou_teta option in ${compname}.card --> divide teta* by 2 if [ $ByPass_hgardfou_teta = 1 ]
+    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices ByPass_hgardfou_teta
+    eval ByPass_hgardfou_teta=\${${compname}_UserChoices_ByPass_hgardfou_teta} > /dev/null 2>&1
+    if [ ${ByPass_hgardfou_teta} = y ] ; then
 	awk '{ if ($0 ~ /^teta.*=/) {split($0,a,"=") ; print a[1]"="a[2]/2"."} else print $0}' gcm.def > gcm.def.tmp
 	IGCM_sys_Mv gcm.def.tmp gcm.def
 	echo
-	IGCM_debug_Print 1 "ByPass_hgardfou : ^teta*/2 in gcm.def"
+	IGCM_debug_Print 1 "ByPass_hgardfou_teta : ^teta*/2 in gcm.def"
 	echo
 	cat gcm.def
-	ByPass_hgardfou=n
-	IGCM_card_WriteOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices ByPass_hgardfou "${ByPass_hgardfou}"
+	ByPass_hgardfou_teta=n
+	IGCM_card_WriteOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices ByPass_hgardfou_teta "${ByPass_hgardfou_teta}"
+    fi
+
+    ## Read ByPass_hgardfou_mats option in ${compname}.card --> purmats=y 2 if [ $ByPass_hgardfou_mats = 1 ]
+    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices ByPass_hgardfou_mats
+    eval ByPass_hgardfou_mats=\${${compname}_UserChoices_ByPass_hgardfou_mats} > /dev/null 2>&1
+    if [ ${ByPass_hgardfou_mats} = y ] ; then
+	sed -e "s/^purmats=.*/purmats=y/" gcm.def > gcm.def.tmp
+        IGCM_sys_Mv gcm.def.tmp gcm.def
+        echo
+        IGCM_debug_Print 1 "ByPass_hgardfou_mats : purmats=y in gcm.def"
+        echo
+        cat gcm.def
+        ByPass_hgardfou_mats=n
+        IGCM_card_WriteOption ${SUBMIT_DIR}/COMP/${compname}.card UserChoices ByPass_hgardfou_mats "${ByPass_hgardfou_mats}"
     fi
 
Index: /CONFIG/trunk/IPSLCM4_v2/EXP00/COMP/oasis.card
===================================================================
--- /CONFIG/trunk/IPSLCM4_v2/EXP00/COMP/oasis.card	(revision 354)
+++ /CONFIG/trunk/IPSLCM4_v2/EXP00/COMP/oasis.card	(revision 355)
@@ -10,7 +10,7 @@
 [BoundaryFiles]
 List=	()
-ListNonDel= (${R_BC}/CPL/${config_UserChoices_TagName}/${RESOL}/grids.nc,                 grids.nc),\
-	    (${R_BC}/CPL/${config_UserChoices_TagName}/${RESOL}/masks.nc,                 masks.nc),\
-	    (${R_BC}/CPL/${config_UserChoices_TagName}/${RESOL}/areas.nc,                 areas.nc),\
+ListNonDel= (${R_BC}/CPL/${config_UserChoices_TagName}/${RESOL}/grids.nc,           grids.nc),\
+	    (${R_BC}/CPL/${config_UserChoices_TagName}/${RESOL}/masks.nc,           masks.nc),\
+	    (${R_BC}/CPL/${config_UserChoices_TagName}/${RESOL}/areas.nc,           areas.nc),\
 	    (${R_BC}/CPL/${config_UserChoices_TagName}/${RESOL}/mozaic.wa2o,        wa2o.flx),\
 	    (${R_BC}/CPL/${config_UserChoices_TagName}/${RESOL}/mozaic.wo2a,        wo2a.tsg),\
@@ -36,14 +36,11 @@
 [Post_cpl_oce_tau]
 Patches = ()
-MonitoringVars =
 TimeSeriesVars =
 
 [Post_cpl_oce_flx]
 Patches = ()
-MonitoringVars =
 TimeSeriesVars =
 
 [Post_cpl_oce_sst]
 Patches = ()
-MonitoringVars =
 TimeSeriesVars =
Index: /CONFIG/trunk/IPSLCM4_v2/EXP00/COMP/opa.card
===================================================================
--- /CONFIG/trunk/IPSLCM4_v2/EXP00/COMP/opa.card	(revision 354)
+++ /CONFIG/trunk/IPSLCM4_v2/EXP00/COMP/opa.card	(revision 355)
@@ -45,5 +45,4 @@
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
-MonitoringVars = (sosstsst, sossheig, sohefldo, sowaflup, sosaline, soicecov)
 TimeSeriesVars = (iowaflup, sohtc300, sohefldo, soicecov, somxl010, sorunoff, sosaline, sossheig, sosstsst, sowaflep, sowaflcd, sowaflup)
 
@@ -51,5 +50,4 @@
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, depthu, time_counter)
-MonitoringVars =
 TimeSeriesVars = (sozotaux)
 
@@ -57,5 +55,4 @@
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, depthv, time_counter)
-MonitoringVars =
 TimeSeriesVars = (sometauy)
 
@@ -63,5 +60,4 @@
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, depthw, time_counter)
-MonitoringVars =
 TimeSeriesVars =
 
@@ -69,4 +65,18 @@
 Patches = ()
 GatherWithInternal = (lon, lat, deptht, time_counter)
-MonitoringVars = (sozonfha, sozonfhd, sozonfhe)
 TimeSeriesVars = (zotempeg, zotempea, zosaling, zosalina, sozonfha, sozanfha, sozonfhd, sozanfhd, sozonfhe, sozanfhe, sozonfhg, sozanfhg, sozonfho, sozanfho, sozonfsd, sozanfsd, sozonfsg, sozanfsg, sozonfso, sozanfso)
+
+[Post_5D_grid_T]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
+TimeSeriesVars = (sosstsst, somxl010, sohea300)
+
+[Post_5D_grid_U]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
+TimeSeriesVars = (sozotaux)
+
+[Post_5D_grid_V]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, time_counter)
+TimeSeriesVars = (sometauy)
Index: /CONFIG/trunk/IPSLCM4_v2/EXP00/COMP/orchidee.card
===================================================================
--- /CONFIG/trunk/IPSLCM4_v2/EXP00/COMP/orchidee.card	(revision 354)
+++ /CONFIG/trunk/IPSLCM4_v2/EXP00/COMP/orchidee.card	(revision 355)
@@ -8,4 +8,5 @@
 	(${R_INIT}/SRF/${config_UserChoices_TagName}/soils_param.nc, .), \
 	(${R_INIT}/SRF/${config_UserChoices_TagName}/routing.nc, .)
+#       (${R_INIT}/SRF/${config_UserChoices_TagName}/PFTmap.1980.nc, pft_new.nc)
 
 [BoundaryFiles]
@@ -28,4 +29,3 @@
 Patches = (Patch_20070220_histcom_time_axis)
 GatherWithInternal = (lon, lat, veget, time_counter)
-MonitoringVars =
 TimeSeriesVars = (alb_nir, alb_vis, bqsb, evap, fluxlat, fluxsens, gqsb, netrad, qair, rain, runoff, snow, snowf, subli, tair, tsol_max, tsol_min, drainage)
Index: /CONFIG/trunk/IPSLCM4_v2/EXP00/PARAM/orchidee.def
===================================================================
--- /CONFIG/trunk/IPSLCM4_v2/EXP00/PARAM/orchidee.def	(revision 354)
+++ /CONFIG/trunk/IPSLCM4_v2/EXP00/PARAM/orchidee.def	(revision 355)
@@ -23,4 +23,5 @@
 # IMPOSE_VEG is not set
 VEGETATION_FILE=carteveg5km.nc
+# VEGETATION_FILE=pft_new.nc
 DIFFUCO_LEAFCI=233.
 CONDVEG_SNOWA=default
@@ -52,2 +53,5 @@
 RVEG_PFT = .5, .5, .5, .5, .5, .5, .5, .5, .5, .5, .5, .5, .5
 CDRAG_FROM_GCM = .TRUE.
+#LAND_USE=y
+#VEGET_YEAR=0
+#VEGET_UPDATE=1Y