Index: /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_AER/PARAM/gcm.def
===================================================================
--- /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_AER/PARAM/gcm.def	(revision 413)
+++ /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_AER/PARAM/gcm.def	(revision 414)
@@ -50,5 +50,5 @@
 nbapp_rad=12
 ##  Flag  pour la convection (1 pour LMD, 2 pour Tiedtke, 3 KE, 4 KE vect)
-iflag_con=2
+iflag_con=30
 ## longitude en degres du centre du zoom
 clon=0.
Index: /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_AER/PARAM/physiq.def
===================================================================
--- /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_AER/PARAM/physiq.def	(revision 413)
+++ /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_AER/PARAM/physiq.def	(revision 414)
@@ -77,4 +77,7 @@
 #cdhmax = 2.0E-3
 cdhmax = 0.002
+#autres flags
 iflag_pbl = 1
 iflag_thermals = 0
+iflag_ratqs=0
+config_inca=aer
Index: /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_CH4/PARAM/gcm.def
===================================================================
--- /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_CH4/PARAM/gcm.def	(revision 413)
+++ /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_CH4/PARAM/gcm.def	(revision 414)
@@ -52,5 +52,5 @@
 nbapp_rad=12
 ##  Flag  pour la convection (1 pour LMD, 2 pour Tiedtke, 3 KE, 4 KE vect)
-iflag_con=2
+iflag_con=30
 ## longitude en degres du centre du zoom
 clon=0.
Index: /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_CH4/PARAM/physiq.def
===================================================================
--- /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_CH4/PARAM/physiq.def	(revision 413)
+++ /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_CH4/PARAM/physiq.def	(revision 414)
@@ -77,4 +77,7 @@
 #cdhmax = 2.0E-3
 cdhmax = 0.002
+#autres flags
 iflag_pbl = 1
 iflag_thermals = 0
+iflag_ratqs=0
+config_inca=chem
Index: /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_CH4_AER/PARAM/gcm.def
===================================================================
--- /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_CH4_AER/PARAM/gcm.def	(revision 413)
+++ /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_CH4_AER/PARAM/gcm.def	(revision 414)
@@ -52,5 +52,5 @@
 nbapp_rad=12
 ##  Flag  pour la convection (1 pour LMD, 2 pour Tiedtke, 3 KE, 4 KE vect)
-iflag_con=2
+iflag_con=30
 ## longitude en degres du centre du zoom
 clon=0.
Index: /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_CH4_AER/PARAM/physiq.def
===================================================================
--- /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_CH4_AER/PARAM/physiq.def	(revision 413)
+++ /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_CH4_AER/PARAM/physiq.def	(revision 414)
@@ -77,4 +77,7 @@
 #cdhmax = 2.0E-3
 cdhmax = 0.002
+#autres flags
 iflag_pbl = 1
 iflag_thermals = 0
+iflag_ratqs=0
+config_inca=aer
Index: /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_GES/PARAM/gcm.def
===================================================================
--- /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_GES/PARAM/gcm.def	(revision 413)
+++ /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_GES/PARAM/gcm.def	(revision 414)
@@ -50,5 +50,5 @@
 nbapp_rad=12
 ##  Flag  pour la convection (1 pour LMD, 2 pour Tiedtke, 3 KE, 4 KE vect)
-iflag_con=2
+iflag_con=30
 ## longitude en degres du centre du zoom
 clon=0.
Index: /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_GES/PARAM/physiq.def
===================================================================
--- /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_GES/PARAM/physiq.def	(revision 413)
+++ /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_GES/PARAM/physiq.def	(revision 414)
@@ -77,4 +77,7 @@
 #cdhmax = 2.0E-3
 cdhmax = 0.002
+#autres flags
 iflag_pbl = 1
 iflag_thermals = 0
+iflag_ratqs=0
+config_inca=chem
Index: /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_NMHC/PARAM/gcm.def
===================================================================
--- /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_NMHC/PARAM/gcm.def	(revision 413)
+++ /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_NMHC/PARAM/gcm.def	(revision 414)
@@ -50,5 +50,5 @@
 nbapp_rad=12
 ##  Flag  pour la convection (1 pour LMD, 2 pour Tiedtke, 3 KE, 4 KE vect)
-iflag_con=2
+iflag_con=30
 ## longitude en degres du centre du zoom
 clon=0.
Index: /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_NMHC/PARAM/physiq.def
===================================================================
--- /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_NMHC/PARAM/physiq.def	(revision 413)
+++ /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_NMHC/PARAM/physiq.def	(revision 414)
@@ -77,4 +77,7 @@
 #cdhmax = 2.0E-3
 cdhmax = 0.002
+#autres flags
 iflag_pbl = 1
 iflag_thermals = 0
+iflag_ratqs=0
+config_inca=chem
Index: /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_NMHC_AER/PARAM/gcm.def
===================================================================
--- /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_NMHC_AER/PARAM/gcm.def	(revision 413)
+++ /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_NMHC_AER/PARAM/gcm.def	(revision 414)
@@ -50,5 +50,5 @@
 nbapp_rad=12
 ##  Flag  pour la convection (1 pour LMD, 2 pour Tiedtke, 3 KE, 4 KE vect)
-iflag_con=2
+iflag_con=30
 ## longitude en degres du centre du zoom
 clon=0.
Index: /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_NMHC_AER/PARAM/physiq.def
===================================================================
--- /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_NMHC_AER/PARAM/physiq.def	(revision 413)
+++ /CONFIG/branches/LMDZINCA/LMDZINCA_v3_0/EXP_NMHC_AER/PARAM/physiq.def	(revision 414)
@@ -77,4 +77,7 @@
 #cdhmax = 2.0E-3
 cdhmax = 0.002
+#autres flags
 iflag_pbl = 1
 iflag_thermals = 0
+iflag_ratqs=0
+config_inca=aer