Index: CONFIG/IPSLCM/IPSLCM4_v2/trunk/AA_make
===================================================================
--- CONFIG/IPSLCM/IPSLCM4_v2/trunk/AA_make	(revision 460)
+++ CONFIG/IPSLCM/IPSLCM4_v2/trunk/AA_make	(revision 460)
@@ -0,0 +1,128 @@
+#- $Id$
+#-
+#- Key options for OPA ocean model + UCL sea ice model : ORCA_R4 - Coupled
+#-
+#--- -Wp,-Dkey_orca_r4                    resolution option(4,2,05,025)
+#--- -Wp,-Dkey_ice_lln                    + use the Louvain La Neuve sea ice model
+#--- -Wp,-Dkey_freesurf_cstvol            Free surface formulation
+#--- -Wp,-Dkey_zdftke                     tke 1.5 turbulent closure scheme   
+#--- -Wp,-Dkey_flxqsr                     + solar radiation penetration 
+#--- -Wp,-Dkey_trahdfiso         tracer   diffusion along neutral surfaces    
+#--- -Wp,-Dkey_trahdfcoef2d      tracer   latitude and longitude dependent coef.
+#--- -Wp,-Dkey_dynhdfcoef3d      dynamic  latitude and longitude dependent coef. 
+#--- -Wp,-Dkey_trahdfeiv                  eddy induced advection 
+#--- -Wp,-Dkey_convevd                    + enhanced vertical diffusion         
+#--- -Wp,-Dkey_temdta                     temperature data file (Levitus)
+#--- -Wp,-Dkey_saldta                     salinity data file    (Levitus)  
+#--- -Wp,-Dkey_saldta_monthly              + salinity data file (Levitus monthly)
+#--- -Wp,-Dkey_diaznl                     Diagnostics: zonal fluxes
+#--- -Wp,-Dkey_diahth                     Diagnostics: thermocline depth, 
+#-                                        and depth of the 20 degrees isotherm
+#--- -Wp,-Dkey_diaeiv                     Diagnostics: Eddy induced velocities
+#--- -Wp,-Dkey_monotasking                monotasking option 
+#--- -Wp,-Dkey_coupled                    coupled version - Boundary conditions: 
+#-                                        momentum, heat and fresh water fluxes (coupled) 
+#--- -Wp,-Dkey_coupled_prism              coupled version with OASIS3
+#-
+KEY4='-Wp,-Dkey_orca_r4 -Wp,-Dkey_ice_lln -Wp,-Dkey_freesurf_cstvol -Wp,-Dkey_zdftke -Wp,-Dkey_flxqsr -Wp,-Dkey_trahdfiso -Wp,-Dkey_trahdfcoef2d -Wp,-Dkey_dynhdfcoef3d -Wp,-Dkey_trahdfeiv -Wp,-Dkey_convevd -Wp,-Dkey_temdta -Wp,-Dkey_saldta -Wp,-Dkey_saldta_monthly -Wp,-Dkey_diaznl -Wp,-Dkey_diahth -Wp,-Dkey_diaeiv -Wp,-Dkey_monotasking -Wp,-Dkey_coupled -Wp,-Dkey_coupled_prism -Wp,-Dkey_coupled_ipslcm4 -Wp,-Dkey_lim_fdd -Wp,-Dkey_lim_cp2'
+KEY2='-Wp,-Dkey_orca_r2 -Wp,-Dkey_ice_lln -Wp,-Dkey_freesurf_cstvol -Wp,-Dkey_zdftke -Wp,-Dkey_flxqsr -Wp,-Dkey_trahdfiso -Wp,-Dkey_trahdfcoef2d -Wp,-Dkey_dynhdfcoef3d -Wp,-Dkey_trahdfeiv -Wp,-Dkey_convevd -Wp,-Dkey_temdta -Wp,-Dkey_saldta -Wp,-Dkey_saldta_monthly -Wp,-Dkey_diaznl -Wp,-Dkey_diahth -Wp,-Dkey_diaeiv -Wp,-Dkey_monotasking -Wp,-Dkey_coupled -Wp,-Dkey_coupled_prism -Wp,-Dkey_coupled_ipslcm4 -Wp,-Dkey_lim_fdd -Wp,-Dkey_lim_cp2'
+PRISM_DIR = ../../prism
+OASIS3_DIR = $(PRISM_DIR)/src/mod/oasis3
+
+all : 
+#-Q- eshpux	if [ ! -f $(OASIS3_DIR)/COMP_oasis3_$(LIB_MPI).$(PRISM_NAME) ] ; then \
+#-Q- eshpux        cp -f $(PRISM_DIR)/util/compile/frames/include_$(PRISM_NAME)/COMP_oasis3_$(LIB_MPI).$(PRISM_NAME)  $(OASIS3_DIR)/.; \
+#-Q- eshpux        cp -f $(PRISM_DIR)/util/compile/frames/include_$(PRISM_NAME)/COMP_libs.$(PRISM_NAME)  $(PRISM_DIR)/util/. ; fi
+	if [ -s ./.resol ] ; then gmake `cat .resol` ; else gmake ORCA2xLMD9671 ; fi
+
+
+ORCA2xLMD4443 : libioipsl oasis3 liborchidee orca2 lmdz4443 verif	
+	echo "ORCA2xLMD4443" >.resol
+	echo "$(LIB_MPI)" >.libmpi
+
+ORCA2xLMD444315 : libioipsl oasis3 liborchidee orca2 lmdz444315 verif	
+	echo "ORCA2xLMD444315" >.resol
+	echo "$(LIB_MPI)" >.libmpi
+
+ORCA2xLMD444311 : libioipsl oasis3 liborchidee orca2 lmdz444311 verif	
+	echo "ORCA2xLMD444311" >.resol
+	echo "$(LIB_MPI)" >.libmpi
+
+ORCA2xLMD7245 : libioipsl oasis3 liborchidee orca2 lmdz7245 verif	
+	echo "ORCA2xLMD7245" >.resol
+	echo "$(LIB_MPI)" >.libmpi
+
+ORCA2lgmxLMD7245 : libioipsl oasis3 liborchidee orca2 lmdz7245 verif	
+	echo "ORCA2lgmxLMD7245" >.resol
+	echo "$(LIB_MPI)" >.libmpi
+
+ORCA2xLMD9671 : libioipsl oasis3 liborchidee orca2 lmdz9671 verif	
+	echo "ORCA2xLMD9671" >.resol
+	echo "$(LIB_MPI)" >.libmpi
+
+ORCA2lgmxLMD9671 : libioipsl oasis3 liborchidee orca2 lmdz9671 verif	
+	echo "ORCA2lgmxLMD9671" >.resol
+	echo "$(LIB_MPI)" >.libmpi
+
+ORCA2xLMD14496 : libioipsl oasis3 liborchidee orca2 lmdz14496 verif
+	echo "ORCA2xLMD14496" >.resol
+	echo "$(LIB_MPI)" >.libmpi
+
+ORCA2xLMD144142 : libioipsl oasis3 liborchidee orca2 lmdz144142 verif
+	echo "ORCA2xLMD144142" >.resol
+	echo "$(LIB_MPI)" >.libmpi
+
+libioipsl :
+	(cd ../../modeles/IOIPSL/src ; $(M_K) -f Makefile)
+
+oasis3: $(OASIS3_DIR)/COMP_oasis3_$(LIB_MPI).$(PRISM_NAME) $(OASIS3_DIR)/COMP_oasis3_$(LIB_MPI).$(PRISM_NAME)
+	(cd $(OASIS3_DIR) ; ./COMP_oasis3_$(LIB_MPI).$(PRISM_NAME) ; )
+
+$(OASIS3_DIR)/COMP_oasis3_$(LIB_MPI).$(PRISM_NAME) :
+	(cd $(PRISM_DIR) ; ./util/compile/frames/Create_COMP_libs.frm  "" "" "${PRISM_NAME}" "${LIB_MPI_BIS}" ; ./util/compile/frames/Create_COMP_models.frm oasis3 "${LIB_MPI_BIS}" "" "" "${PRISM_NAME}" "" "" ; )
+
+liborchidee :
+	(cd ../../modeles/ORCHIDEE/ ; $(M_K) -f Makefile)
+#-Q- platine	(rm -f ../../lib/parallel.mod)
+
+config : libioipsl
+	(cd ../../modeles/IOIPSL/src; $(M_K) -f Makefile config)
+	(cd ../../modeles/ORCHIDEE/; $(M_K) -f Makefile config)
+	$(BINDIR)/Fparser -main -name ORCHIDEE_OL $(MODS1)
+	$(SCPDIR)/build_tkmenus
+	./config.tk
+	$(RM) Config.*
+
+lmdz4443:
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 44x43x19 -m $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_44x43x19_t4_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 44x43x19 -psmile true -v true -parallel true -c $(LIB_MPI) -m $(FCM_ARCH) gcm ; cp bin/gcm_44x43x19_t4_phylmd_para_orch_couple.e ../../bin/gcm.e ; )
+
+lmdz444315:
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 44x43x15 -m $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_44x43x15_t4_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 44x43x15 -psmile true -v true -parallel true -c $(LIB_MPI) -m $(FCM_ARCH) gcm ; cp bin/gcm_44x43x15_t4_phylmd_para_orch_couple.e ../../bin/gcm.e ; )
+
+lmdz444311:
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 44x43x11 -m $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_44x43x11_t4_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 44x43x11 -psmile true -v true -parallel true -c $(LIB_MPI) -m $(FCM_ARCH) gcm ; cp bin/gcm_44x43x11_t4_phylmd_para_orch_couple.e ../../bin/gcm.e ; )
+
+lmdz7245:
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 72x45x19 -m $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_72x45x19_t4_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 72x45x19 -psmile true -v true -parallel true -c $(LIB_MPI) -m $(FCM_ARCH) gcm ; cp bin/gcm_72x45x19_t4_phylmd_para_orch_couple.e ../../bin/gcm.e ; )
+lmdz9671:
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x71x19 -m $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x71x19_t4_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x71x19 -psmile true -v true -parallel true -c $(LIB_MPI) -m $(FCM_ARCH) gcm ; cp bin/gcm_96x71x19_t4_phylmd_para_orch_couple.e ../../bin/gcm.e ; )
+lmdz14496:
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 144x96x19 -m $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_144x96x19_t4_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 144x96x19 -psmile true -v true -parallel true -c $(LIB_MPI) -m $(FCM_ARCH) gcm ; cp bin/gcm_144x96x19_t4_phylmd_para_orch_couple.e ../../bin/gcm.e ; )
+
+lmdz144142:
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 144x142x19 -m $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_144x142x19_t4_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 144x142x19 -psmile true -v true -parallel true -c $(LIB_MPI) -m $(FCM_ARCH) gcm ; cp bin/gcm_144x142x19_t4_phylmd_para_orch_couple.e ../../bin/gcm.e ; )
+
+orca4:
+	(cd ../../modeles/OPA/WORK; $(M_K) P_P=$(KEY4) OASISMPI2_LIB='-L../$(PRISM_DIR)/$(PRISM_ARCH)/lib -lpsmile.$(LIB_MPI) -lmpp_io' ; )
+orca2:
+	(cd ../../modeles/OPA/WORK; $(M_K) P_P=$(KEY2) OASISMPI2_LIB='-L../$(PRISM_DIR)/$(PRISM_ARCH)/lib -lpsmile.$(LIB_MPI) -lmpp_io' ; )
+verif:
+	ls -l ../../bin
+