Index: CONFIG/IPSLCM/IPSLCM4_v2/trunk/AA_make
===================================================================
--- CONFIG/IPSLCM/IPSLCM4_v2/trunk/AA_make	(revision 462)
+++ CONFIG/IPSLCM/IPSLCM4_v2/trunk/AA_make	(revision 464)
@@ -1,7 +1,7 @@
 #- $Id$
 #-
-#- Key options for OPA ocean model + UCL sea ice model : ORCA_R4 - Coupled
+#- Key options for OPA ocean model + UCL sea ice model : ORCA_R2 _R4 - Coupled
 #-
-#--- -Wp,-Dkey_orca_r4                    resolution option(4,2,05,025)
+#--- -Wp,-Dkey_orca_r4 _r2                resolution option(4,2)
 #--- -Wp,-Dkey_ice_lln                    + use the Louvain La Neuve sea ice model
 #--- -Wp,-Dkey_freesurf_cstvol            Free surface formulation
@@ -65,4 +65,8 @@
 	echo "$(LIB_MPI)" >.libmpi
 
+ORCA2xLMD9695 : libioipsl oasis3 liborchidee orca2 lmdz9695 verif
+	echo "ORCA2xLMD9695" >.resol
+	echo "$(LIB_MPI)" >.libmpi
+
 ORCA2xLMD14496 : libioipsl oasis3 liborchidee orca2 lmdz14496 verif
 	echo "ORCA2xLMD14496" >.resol
@@ -109,7 +113,13 @@
 	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 72x45x19 -m $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_72x45x19_t4_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 72x45x19 -psmile true -v true -parallel true -c $(LIB_MPI) -m $(FCM_ARCH) gcm ; cp bin/gcm_72x45x19_t4_phylmd_para_orch_couple.e ../../bin/gcm.e ; )
+
 lmdz9671:
 	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x71x19 -m $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x71x19_t4_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
 	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x71x19 -psmile true -v true -parallel true -c $(LIB_MPI) -m $(FCM_ARCH) gcm ; cp bin/gcm_96x71x19_t4_phylmd_para_orch_couple.e ../../bin/gcm.e ; )
+
+lmdz9695:
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x95x19 -m $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_96x95x19_t4_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
+	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 96x95x19 -psmile true -v true -parallel true -c $(LIB_MPI) -m $(FCM_ARCH) gcm ; cp bin/gcm_96x95x19_t4_phylmd_para_orch_couple.e ../../bin/gcm.e ; )
+
 lmdz14496:
 	(cd ../../modeles/LMDZ4; ./makegcm_fcm -d 144x96x19 -m $(FCM_ARCH) create_etat0_limit ; cp bin/create_etat0_limit_144x96x19_t4_phylmd_seq.e ../../bin/create_etat0_limit.e ; )
Index: CONFIG/IPSLCM/IPSLCM4_v2/trunk/EXP00/COMP/lmdz.driver
===================================================================
--- CONFIG/IPSLCM/IPSLCM4_v2/trunk/EXP00/COMP/lmdz.driver	(revision 462)
+++ CONFIG/IPSLCM/IPSLCM4_v2/trunk/EXP00/COMP/lmdz.driver	(revision 464)
@@ -11,4 +11,5 @@
 	LMD7245)   BandsResol=72x45x19   ;;
 	LMD9671)   BandsResol=96x71x19   ;;
+	LMD9695)   BandsResol=96x95x19   ;;
 	LMD14496)  BandsResol=144x96x19  ;;
 	LMD144142) BandsResol=144x142x19 ;;
Index: CONFIG/IPSLCM/IPSLCM4_v2/trunk/EXP00/PARAM/Bands_96x95x19_3prc.dat
===================================================================
--- CONFIG/IPSLCM/IPSLCM4_v2/trunk/EXP00/PARAM/Bands_96x95x19_3prc.dat	(revision 464)
+++ CONFIG/IPSLCM/IPSLCM4_v2/trunk/EXP00/PARAM/Bands_96x95x19_3prc.dat	(revision 464)
@@ -0,0 +1,12 @@
+ 0  14
+ 1  68
+ 2  14
+ 0  32
+ 1  32
+ 2  32
+ 0  12
+ 1  71
+ 2  13
+ 0  3007
+ 1  3017
+ 2  3002
Index: CONFIG/IPSLCM/IPSLCM4_v2/trunk/EXP00/PARAM/gcm.def_LMD9695
===================================================================
--- CONFIG/IPSLCM/IPSLCM4_v2/trunk/EXP00/PARAM/gcm.def_LMD9695	(revision 464)
+++ CONFIG/IPSLCM/IPSLCM4_v2/trunk/EXP00/PARAM/gcm.def_LMD9695	(revision 464)
@@ -0,0 +1,69 @@
+## $Id$
+## nombre de pas par jour (multiple de iperiod) ( ici pour  dt = 1 min )      
+day_step=480
+## periode pour le pas Matsuno (en pas)
+iperiod=5
+## periode de la dissipation (en pas)
+idissip=5
+## choix de l'operateur de dissipation (star ou  non star )
+lstardis=y
+## nombre d'iterations de l'operateur de dissipation   gradiv
+nitergdiv=2
+## nombre d'iterations de l'operateur de dissipation  nxgradrot
+nitergrot=2
+## nombre d'iterations de l'operateur de dissipation  divgrad            
+niterh=2
+## temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+tetagdiv=10800.
+## temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+tetagrot=18000.
+## temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
+tetatemp=18000.
+## coefficient pour gamdissip                                            
+coefdis=0.
+## choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog) 
+purmats=n
+## avec ou sans physique                                                 
+physic=y
+## periode de la physique (en pas)                                       
+iphysiq=10
+## frequence (en  jours ) de l'ecriture du fichier histphy               
+ecritphy=30
+##  Cycle diurne  ou non                 
+cycle_diurne=y
+##  Soil Model  ou non               
+soil_model=y
+##  Choix ou non  de  New oliq               
+new_oliq=y
+##  Orodr  ou  non   pour l orographie              
+ok_orodr=y
+##  Orolf  ou  non   pour l orographie              
+ok_orolf=y
+##   Si = .T. ,  lecture du fichier limit avec la bonne annee             
+ok_limitvrai=n
+## Nombre  d'appels des routines de rayonnements ( par jour)                 
+nbapp_rad=12
+##  Flag  pour la convection (1 pour LMD, 2 pour Tiedtke, 3 KE, 4 KE vect)
+iflag_con=3
+## Facteur multiplication des precip convectives dans KE
+cvl_corr=1.0
+## longitude en degres du centre du zoom                                 
+clon=0.
+## latitude en degres du centre du zoom                                  
+clat=0.
+## facteur de grossissement du zoom,selon longitude                      
+grossismx=1.0
+## facteur de grossissement du zoom ,selon latitude                      
+grossismy=1.0
+##  Fonction  f(y)  hyperbolique  si = .true.  , sinon  sinusoidale         
+fxyhypb=y
+## extension en longitude  de la zone du zoom  ( fraction de la zone totale)
+dzoomx=0.0
+## extension en latitude de la zone  du zoom  ( fraction de la zone totale)
+dzoomy=0.0
+##raideur du zoom en  X
+taux=3.
+##raideur du zoom en  Y
+tauy=3.
+##  Fonction  f(y) avec y = Sin(latit.) si = .true. , sinon y = latit.         
+ysinus=y
Index: CONFIG/IPSLCM/IPSLCM4_v2/trunk/EXP00/PARAM/namcouple_ORCA2xLMD9695
===================================================================
--- CONFIG/IPSLCM/IPSLCM4_v2/trunk/EXP00/PARAM/namcouple_ORCA2xLMD9695	(revision 464)
+++ CONFIG/IPSLCM/IPSLCM4_v2/trunk/EXP00/PARAM/namcouple_ORCA2xLMD9695	(revision 464)
@@ -0,0 +1,526 @@
+###############################################################################
+#
+#      Input file for OASIS3
+# 
+#      This version is for use with IPSL_CM4_v1 
+#
+#      The file will be edited at runtime to update it for
+#         - the initial date of the run
+#
+###############################################################################
+#  
+#      Input delimiters have to occupy position 1 to 9 !
+#      No blank lines allowed !
+#      Length of input lines <= 80 !
+#
+###############################################################################
+# 
+# SEQMODE : 1        if all models run simultaneously
+#           n        if  n  models run sequentially
+ $SEQMODE
+              1
+ $END
+###############################################################################
+#
+# CHANNEL (CHAR*4)
+#           PIPE        if named pipes + binary files are used 
+#                       for synchro and data respectively (not tested);
+#           MPI1/2      if MPI message passing is used for data exchange;
+#
+ $CHANNEL
+           <lib_mpi>
+<nproc_atm>  <nproc_atm>
+1  1               
+ $END
+###############################################################################
+#
+# NFIELDS : total number of fields being exchanged.
+#
+ $NFIELDS
+            22
+ $END
+###############################################################################
+#
+# JOBNAME : acronym for the given simulation (CHAR*3)
+#
+ $JOBNAME
+            EXP   
+ $END
+###############################################################################
+#
+# NBMODEL : number of models and their names (CHAR*6).
+#
+ $NBMODEL
+  2  lmdz.x opa.xx
+ $END
+###############################################################################
+# 
+# RUNTIME: total simulated time for the actual run in seconds (<I8)
+#
+ $RUNTIME
+             <total_time>
+ $END
+###############################################################################
+#
+# INIDATE (I8)
+#         initial date of the run (YYYYMMDD)         
+#
+ $INIDATE
+             <initial_date>
+ $END
+###############################################################################
+# 
+# MODINFO (YES or NOT)
+#         Indicates whether a header is encapsulated within the field
+#
+ $MODINFO
+  NOT
+ $END
+###############################################################################
+#
+# NLOGPRT: printing level in output file cplout: 
+#              0 = no printing
+#              1 = main routines and field names when treated
+#              2 = complete output
+#
+ $NLOGPRT
+   2
+ $END
+###############################################################################
+#
+# CALTYPE: Calendar type
+#                  0      = 365 day calendar (no leap years)
+#                  1      = 365 day, or 366 days for leap years, calendar
+#                  n (>1) = n day month calendar
+#
+ $CALTYPE
+         0 
+ $END
+#
+# 
+###############################################################################
+ $STRINGS
+###############################################################################
+#
+#                      OCEAN  --->>>  ATMOS
+#                      --------------------
+###############################################################################
+# Field 1 : Weighted sea surface temperature (o->a 1)
+SOSSTSSW SISUTESW 1 86400  4  sstoc.nc  EXPORTED 
+torc  tlmd  LAG=5760
+P  2 P  0
+CHECKIN MOZAIC CHECKOUT REVERSE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Mozaic: 1) mapping filename 2) connected unit 3) dataset rank 4) Maximum
+#         number of overlapped neighbors
+wo2a.tsg 93  1  15
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+  NORSUD   WSTEST
+#  
+#
+############################################################################
+#
+############################################################################
+# Field 2 : Sea ice extent  (o->a 2)
+#
+SOICECOV SIICECOV 2 86400  4  sstoc.nc EXPORTED
+torc  tlmd   LAG=5760
+P  2 P  0
+#
+CHECKIN MOZAIC  CHECKOUT  REVERSE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+wo2a.tsg 93  1 15
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+NORSUD   WSTEST
+#
+############################################################################
+# Field 3 : Weighted Sea ice albedo (o->a 3)
+#
+SOICEALW SIICEALW 17 86400  4  sstoc.nc  EXPORTED
+torc  tlmd  LAG=5760  
+P  2 P  0
+#
+CHECKIN MOZAIC CHECKOUT  REVERSE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+wo2a.tsg 93  1 15
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+NORSUD   WSTEST
+#
+############################################################################
+# Field 4 : Weighted Sea Ice Temperature (o->a 4)
+#
+SOICTEMW SIICTEMW 34 86400  4  sstoc.nc  EXPORTED
+torc  tlmd   LAG=5760
+P  2 P  0
+ CHECKIN MOZAIC CHECKOUT REVERSE
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# 
+wo2a.tsg 93  1  15 
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+  NORSUD   WSTEST
+#
+############################################################################
+#
+#                      ATMOSPHERE  --->>>  OCEAN
+#                      -------------------------
+############################################################################   
+# Field 17 : wind stress along X axis (a->o tau 1)
+#
+COTAUXXU SOTAUXXU 23 86400  6  flxat.nc   EXPORTED
+tlmd    uorc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MASK EXTRAP INTERP CHECKOUT
+# Reverse 
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Mask value
+888888.
+# Extrapolation method
+NINENN 2 1 1
+# Interpolation method
+BICUBIPS  Z   SCALAR
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+###########################################################################
+#
+#
+# Field 18 : stress along Y axis (a->o tau 1)
+#
+COTAUYYU SOTAUYYU 23 86400  6  flxat.nc  EXPORTED
+tlmd    uorc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MASK EXTRAP INTERP CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Mask value
+888888.
+# Extrapolation method
+NINENN 2 1 1
+# Interpolation method
+BICUBIPS  Z   SCALAR
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+###########################################################################
+#
+#
+# Field 19 :wind stress along Z axis (a->o tau 1)
+#
+COTAUZZU SOTAUZZU 23 86400  6  flxat.nc  EXPORTED
+tlmd    uorc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MASK EXTRAP INTERP CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Mask value
+888888.
+# Extrapolation method
+NINENN 2 1 1
+# Interpolation method
+BICUBIPS  Z   SCALAR
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+##########################################################################
+#
+# Field 20 : wind stress along X axis 2 (a->o tau 2)
+#
+COTAUXXV SOTAUXXV 24 86400  6    flxat.nc  EXPORTED
+tlmd    vorc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MASK EXTRAP INTERP CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Mask value
+888888.
+# Extrapolation method
+NINENN 2 1 1
+# Interpolation method
+BICUBIPS  Z   SCALAR
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+##########################################################################
+#
+# Field 21 : wind stress along Y axis 2 (a->o tau 2) 
+#
+COTAUYYV SOTAUYYV 24 86400  6    flxat.nc  EXPORTED
+tlmd    vorc  LAG=1800
+P  0 P  2
+INVERT CHECKIN MASK EXTRAP INTERP CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Mask value
+888888.
+# Extrapolation method
+NINENN 2 1 1
+# Interpolation method
+BICUBIPS  Z   SCALAR
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+##########################################################################
+#
+# Field 22 :  wind stress along Z axis 2 (a->o tau 2) 
+#
+COTAUZZV SOTAUZZV 24 86400  6    flxat.nc  EXPORTED
+tlmd    vorc  LAG=1800
+P  0 P  2
+INVERT CHECKIN MASK EXTRAP INTERP CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Mask value
+888888.
+# Extrapolation method
+NINENN 2 1 1
+# Interpolation method
+BICUBIPS  Z   SCALAR
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+##
+#########################################################################
+#
+# Field 5 : solar heat flux on ice (a->o flx 1)
+#
+COSHFICE SOSHFLDO 7 86400 4   flxat.nc  EXPORTED
+tlmd    torc  LAG=1800
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method or mozaic parameters
+wa2o.flx 92  2    18  
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+#########################################################################
+#
+# Field 6 : solar heat flux on ocean (a->o flx 2)
+#
+COSHFOCE SOSHFOCE 7 86400 4   flxat.nc  EXPORTED
+tlmd    torc  LAG=1800
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method or mozaic parameters
+wa2o.flx 92  2    18
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+############################################################################
+#
+# Field 7 : Non solar heat flux on ice (a->o flx 3)
+#
+CONSFICE SONSFLDO 6 86400  4  flxat.nc  EXPORTED
+tlmd    torc  LAG=1800
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse 
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.flx 92  2    18
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+############################################################################
+#
+############################################################################
+#
+# Field 8 : Non solar heat flux on ocean (a->o flx 4)
+#
+CONSFOCE SONSFOCE 6 86400  4   flxat.nc  EXPORTED
+tlmd    torc   LAG=1800
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.flx 92  2    18 
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+##########################################################################
+#
+# Field 9 : Non solar heat flux derivative (o->a flx 5)
+#
+CODFLXDT SODFLXDT 35 86400  4   flxat.nc  EXPORTED
+tlmd    torc  LAG=1800
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.flx 92  2    18
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+##########################################################################
+#
+# Field 10 : Evaporation Ice (o->a flx 6)
+#
+COTFSICE SOTFSICE 25 86400  4   flxat.nc   EXPORTED
+tlmd    torc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.flx 92  2    18
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+##########################################################################
+#
+# Field 11 : Evaporation Water (a->o flx 7)
+#
+COTFSOCE SOTFSOCE 25 86400  4   flxat.nc   EXPORTED
+tlmd    torc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MOZAIC CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.flx 92  2    18
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+##########################################################################
+#
+# Field 12 : liquid precip (a->o flx 8)
+#
+COTOLPSU SOTOLPSU 27 86400  5   flxat.nc   EXPORTED
+tlmd    torc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MOZAIC BLASNEW CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.flx 92  2    18
+# change of sign
+-1.0 0
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+##########################################################################
+#
+# Field 13: solid precip (a->o flx 9)
+#
+COTOSPSU SOTOSPSU 28 86400 5   flxat.nc   EXPORTED
+tlmd    torc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MOZAIC BLASNEW CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.flx 92  2    18
+# change of sign
+-1.0 0
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+#########################################################################
+#
+# Field 14 : direct run-off (a->o flx 10)
+#
+CORUNCOA SORUNCOA 32 86400  5  flxat.nc   EXPORTED
+tlmd    torc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MOZAIC BLASNEW CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.run 94    4   216
+# change units from m/s to kg/s, change of sign
+# weights convert from kg/s to kg/m^2/s
+-1000.0 0
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+#########################################################################
+#
+# Field 15 : river run-off (a->o flx 11)
+#
+CORIVFLU SORIVFLU 32 86400  5  flxat.nc   EXPORTED
+tlmd    torc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MOZAIC BLASNEW CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.run 94    4   216
+# change units from m/s to kg/s, change of sign
+# weights convert from kg/s to kg/m^2/s
+-1000.0 0
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+#
+#########################################################################
+#
+# Field 16 : iceberg calving (a->o flx 12)
+#
+COCALVIN SOCALVIN 32 86400  5  flxat.nc  EXPORTED
+tlmd    torc  LAG=1800 
+P  0 P  2
+INVERT CHECKIN MOZAIC BLASNEW CHECKOUT
+# Reverse
+NORSUD WSTEST
+# CHECKIN: indicate computation of global, land and sea field integrals.
+ INT=1
+# Interpolation method ou parametres mozaic
+wa2o.cal  98   5   47
+# change of sign
+-1.0 0
+# CHECKOUT: indicate computation of global, land and sea field integrals.
+ INT=1
+##########################################################################
+#
+ $END